/*
 * $Id: ColorRegistry.java 6568 2007-05-16 09:41:43Z dirk.olmes $
 * --------------------------------------------------------------------------------------
 * Copyright (c) MuleSource, Inc.  All rights reserved.  http://www.mulesource.com
 *
 * The software in this package is published under the terms of the BSD style
 * license, a copy of which has been included with this distribution in the
 * LICENSE.txt file.
 */

package org.mule.tools.visualizer.config;

public class ColorRegistry
{

    // colors from http://www.graphviz.org/pub/scm/graphviz2/doc/info/colors.html

    public static final String COLOR_DEFINED_ENDPOINTS = "lightblue";

    public static final String COLOR_ROUTER = "darkolivegreen3";

    public static final String COLOR_FILTER = "gold";

    public static final String COLOR_ENDPOINT = "white";

    public static final String COLOR_COMPONENT = "grey";

    public static final String COLOR_CONFIG = "white";

    public static final String COLOR_TRANSFORMER = "cyan";

    public static final String COLOR_MODEL = "white";

    public static final String COLOR_AGENTS = "white";

    public static final String COLOR_CONNECTOR = "grey91";

    public static final String COLOR_CONNECTION_STRATEGY = "orange";

    public static final String COLOR_EXCEPTION_STRATEGY = "indianred1";

    public static final String COLOR_EXTERNAL = "white";

}
